const ScopeFlags = {
  Astro: 1 << 0,
  // 1
  JSX: 1 << 1,
  // 2
  Slot: 1 << 2,
  // 4
  HeadBuffer: 1 << 3,
  // 8
  RenderSlot: 1 << 4
  // 16
};
function addScopeFlag(result, flag) {
  result.scope |= flag;
}
function removeScopeFlag(result, flag) {
  result.scope &= ~flag;
}
function hasScopeFlag(result, flag) {
  return (result.scope & flag) === flag;
}
function createScopedResult(result, flag) {
  const scopedResult = Object.create(result, {
    scope: {
      writable: true,
      value: result.scope
    }
  });
  if (flag != null) {
    addScopeFlag(scopedResult, flag);
  }
  return scopedResult;
}
export {
  ScopeFlags,
  addScopeFlag,
  createScopedResult,
  hasScopeFlag,
  removeScopeFlag
};
